
       IDENTIFICATION DIVISION.
        PROGRAM-ID. ACTUALIZAR.

       ENVIRONMENT DIVISION.
        INPUT-OUTPUT SECTION.
         FILE-CONTROL.
           SELECT MAESTRO ASSIGN TO DISK 
                  ORGANIZATION IS INDEXED
                  ACCESS RANDOM
                  RECORD KEY CODIGO-PRO.
           SELECT MOVIMIENTOS ASSIGN TO DISK
                  ORGANIZATION IS LINE SEQUENTIAL.

       DATA DIVISION.
        FILE SECTION.
        FD MAESTRO LABEL RECORD STANDARD
                   VALUE OF FILE-ID "MAESTRO.DAT".
        01 REG-MAES.
           05 CODIGO-PRO PIC X(5).
           05 NOMBRE-PRO PIC X(10).
           05 CANTI-PRO  PIC 9(5).
        FD MOVIMIENTOS LABEL RECORD STANDARD
                       VALUE OF FILE-ID "MOVIM.DAT".
        01 REG-MOVI.
           05 CODIGO-MO PIC X(5).
           05 NOMBRE-MO PIC X(10).
           05 CANTI-MO  PIC 9(3).
        WORKING-STORAGE SECTION.
        01 FIN PIC X VALUE "N".
        01 MODIFICACIONES PIC X.
           88 MODIFICAR VALUE "S".

       PROCEDURE DIVISION.
        PRINCIPAL.
           OPEN INPUT MOVIMIENTOS I-O MAESTRO
           READ MOVIMIENTOS AT END MOVE "S" TO FIN
           PERFORM LEER-MOVI UNTIL FIN = "S"
           CLOSE MOVIMIENTOS MAESTRO.
           STOP RUN.

        LEER-MOVI.
           MOVE CODIGO-MO TO CODIGO-PRO
           MOVE "S" TO MODIFICACIONES
           READ MAESTRO INVALID KEY MOVE "N" TO MODIFICACIONES.
           IF MODIFICAR PERFORM CAMBIAR
             ELSE PERFORM ALTA.
           READ MOVIMIENTOS AT END MOVE "S" TO FIN.

        CAMBIAR.
           MOVE NOMBRE-MO TO NOMBRE-PRO
           ADD CANTI-MO TO CANTI-PRO
           REWRITE REG-MAES INVALID KEY DISPLAY "ERROR EN REESCRITURA".

        ALTA.
            MOVE NOMBRE-MO TO NOMBRE-PRO
            MOVE CANTI-MO TO CANTI-PRO
            WRITE REG-MAES INVALID KEY DISPLAY "ERROR EN ESCRITURA".
