       IDENTIFICATION DIVISION.
       PROGRAM-ID. LISTADO-ARTICULOS.
       AUTHOR. LEE WALTERS.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.

       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT ARTICULOS ASSIGN TO INPUT "ARTICUL.DAT".
           SELECT LISTADO ASSIGN TO PRINTER.

       DATA DIVISION.
       FILE SECTION.
       FD  ARTICULOS LABEL RECORD STANDARD
                      DATA RECORD IS REG-ARTICULOS.
       01  REG-ARTICULOS.
           02 NART PIC X(5).
           02 CANT PIC 9(5).
           02 PVENT PIC 999V99.
           02 PCOMP PIC 999V99.
       FD  LISTADO LABEL RECORD OMITTED
           RECORD 132.
       01  REG-LISTADO PIC X(132).

       WORKING-STORAGE SECTION.
       77  IMPV PIC 9(7)V99.
       77  IMPC PIC 9(7)V99.
       77  IMPTOT PIC 9(9)V99 VALUE 0.
       01  LINEA-CABECERA1.
            02 FILLER PIC X(29) VALUE SPACES.
            02 FILLER PIC X(20) VALUE "LISTADO DE ARTICULOS".
            02 FILLER PIC X(83) VALUE SPACES.
       01  LINEA-CABECERA2.
            02 FILLER PIC X(2) VALUE SPACES.
            02 FILLER PIC X(4) VALUE "NART".
            02 FILLER PIC X(8) VALUE SPACES.
            02 FILLER PIC X(4) VALUE "CANT".
            02 FILLER PIC X(6) VALUE SPACES.
            02 FILLER PIC X(4) VALUE "IMPV".
            02 FILLER PIC X(11) VALUE SPACES.
            02 FILLER PIC X(4) VALUE "IMPC".
            02 FILLER PIC X(89) VALUE SPACES.
       01  LINEA-DETALLE.
            02 FILLER PIC X(2) VALUE SPACES.
            02 NART-SAL PIC X(5).
            02 FILLER PIC X(6) VALUE SPACES.
            02 CANT-SAL PIC ZZ,ZZ9.
            02 FILLER PIC X VALUE SPACES.
            02 IMPV-SAL PIC Z,ZZZ,ZZ9,99.
            02 FILLER PIC X(5) VALUE SPACES.
            02 IMPC-SAL PIC Z,ZZZ,ZZ9,99.
            02 FILLER PIC X(10) VALUE SPACES.
            02 CAMPO PIC X(8).
            02 FILLER PIC X(65) VALUE SPACES.
       01  LINEA-TOTAL.
            02 FILLER PIC X(24) VALUE SPACES.
            02 FILLER PIC X(10) VALUE "TOTAL IMPV".
            02 FILLER PIC X(2) VALUE SPACES.
            02 TOTAL PIC ZZZ,ZZZ,ZZ9,99.
            02 FILLER PIC X(82) VALUE SPACES.
       PROCEDURE DIVISION.
       PRINCIPIO.
           OPEN INPUT ARTICULOS
                OUTPUT LISTADO
           MOVE LINEA-CABECERA1 TO REG-LISTADO
           WRITE REG-LISTADO BEFORE 3
           MOVE LINEA-CABECERA2 TO REG-LISTADO
           WRITE REG-LISTADO BEFORE 2
           READ ARTICULOS AT END GO TO FIN.
       TRATAMIENTO.
           MOVE NART TO NART-SAL
           MOVE CANT TO CANT-SAL
           MULTIPLY CANT BY PVENT GIVING IMPV
           MULTIPLY CANT BY PCOMP GIVING IMPC
           MOVE IMPV TO IMPV-SAL
           MOVE IMPC TO IMPC-SAL
           ADD IMPV TO IMPTOT ROUNDED
           IF IMPV > IMPC THEN MOVE "GANANCIA" TO CAMPO
                          ELSE MOVE "PERDIDA" TO CAMPO.
           MOVE LINEA-DETALLE TO REG-LISTADO
           WRITE REG-LISTADO BEFORE 1
           READ ARTICULOS AT END MOVE HIGH-VALUES TO REG-ARTICULOS.
           IF REG-ARTICULOS = HIGH-VALUES THEN NEXT SENTENCE
                                         ELSE GO TO TRATAMIENTO.
       FIN.
           MOVE IMPTOT TO TOTAL
           MOVE LINEA-TOTAL TO REG-LISTADO
           WRITE REG-LISTADO AFTER 1
           CLOSE ARTICULOS LISTADO
           STOP RUN.






