
       IDENTIFICATION DIVISION.
       PROGRAM-ID. BENEFICIO.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
        SOURCE-COMPUTER. IBM-PC.
        OBJECT-COMPUTER. IBM-PC.
        SPECIAL-NAMES. 
                    DECIMAL-POINT IS COMMA.
       INPUT-OUTPUT SECTION.
        FILE-CONTROL.
           SELECT F1 ASSIGN TO RANDOM "C:ARTICULO.DAT".
           SELECT LISTA ASSIGN TO PRINT "PRINTER".

       DATA DIVISION.
       FILE SECTION.
        FD F1 LABEL RECORD STANDARD.
        01 ARTICULO.
           02 NART    PIC X(4).
           02 CANT    PIC 9(5).
           02 PC      PIC 9(3)V99.
           02 PV      PIC 9(3)V99.
           02 DESCRIP PIC X(21).
        FD LISTA LABEL RECORD OMITTED.
        01 LINEA PIC X(80).
       WORKING-STORAGE SECTION.
        77 FF    PIC X VALUE SPACE.
        77 ACUM  PIC 9(9)V99 VALUE ZERO.
        77 ACUM1 PIC 9(9)V99 VALUE ZERO.
        77 AUX   PIC 9(8)V99.
        77 AUX1  PIC 9(8)V99.
        77 BENEF PIC 9(8)V99.
        01 TIT.
           02 FILLER PIC X(11) VALUE SPACES.
           02 FILLER PIC X(4)  VALUE "NART".
           02 FILLER PIC X(10) VALUE SPACES.
           02 FILLER PIC X(11) VALUE "DESCRIPCION".
           02 FILLER PIC X(10) VALUE SPACES.
           02 FILLER PIC X(4)  VALUE "IMPU".
           02 FILLER PIC X(10) VALUE SPACES.
           02 FILLER PIC X(4)  VALUE "IMPC".
           02 FILLER PIC X(10) VALUE SPACES.
           02 FILLER PIC X(5)  VALUE "BENEF".
        01 DET.
           02 FILLER   PIC X(11) VALUE SPACES.
           02 NARTS    PIC X(4).
           02 FILLER   PIC X(10) VALUE SPACES.
           02 DESCRIPS PIC X(21).
           02 FILLER   PIC X(8)  VALUE SPACES.
           02 IMPUS    PIC 9(8)V99.
           02 FILLER   PIC X(10) VALUE SPACES.
           02 IMPCS    PIC 9(8)V99.
           02 FILLER   PIC X(8) VALUE SPACES.
           02 BENEFS   PIC 9(8)V99.
        01 TIT1.
           02 FILLER    PIC X(28) VALUE SPACES.
           02 FILLER    PIC X(8)  VALUE "TOT IMPU".
           02 FILLER    PIC X(2)  VALUE SPACES.
           02 TOT-IMPUS PIC 9(9)V99.
           02 FILLER    PIC X(4)  VALUE SPACES.
           02 FILLER    PIC X(8)  VALUE "TOT IMPC".
           02 FILLER    PIC X(2)  VALUE SPACES.
           02 TOT-IMPCS PIC 9(9)V99.
        01 TIT2.
           02 FILLER     PIC X(28) VALUE SPACES.
           02 FILLER     PIC X(15) VALUE "BENEFICIO TOTAL".
           02 FILLER     PIC X(2)  VALUE SPACES.
           02 BENEF-TOTS PIC 9(9)V99.

       PROCEDURE DIVISION.
        INICIO.
           PERFORM P-PROG
           PERFORM PROCESO UNTIL FF = "*"
           PERFORM F-PROG.
           STOP RUN.

        P-PROG.
           OPEN INPUT F1 OUTPUT LISTA
           MOVE TIT TO LINEA
           WRITE LINEA FROM TIT
           READ F1 AT END MOVE "*" TO FF.

        PROCESO.
           MULTIPLY PV BY CANT GIVING AUX
           MULTIPLY PC BY CANT GIVING AUX1
           SUBTRACT AUX1 FROM AUX GIVING BENEF
           MOVE NART TO NARTS
           MOVE DESCRIP TO DESCRIPS
           MOVE AUX TO IMPUS
           MOVE AUX1 TO IMPCS
           MOVE BENEF TO BENEFS
           WRITE LINEA FROM DET
           ADD AUX TO ACUM
           ADD AUX1 TO ACUM1
           READ F1 AT END MOVE "*" TO FF.

        F-PROG.
           MOVE ACUM TO TOT-IMPUS
           MOVE ACUM1 TO TOT-IMPCS
           WRITE LINEA FROM TIT1 BEFORE 3
           SUBTRACT ACUM1 FROM ACUM GIVING BENEF-TOTS
           WRITE LINEA FROM TIT2 BEFORE PAGE
           CLOSE F1 LISTA.

        FIN.
           EXIT.


