
       IDENTIFICATION DIVISION.
        PROGRAM-ID. VENTAMEN.

       ENVIRONMENT DIVISION.
        CONFIGURATION SECTION.
        SOURCE-COMPUTER. IBM-PC.
        OBJECT-COMPUTER. IBM-PC.
        SPECIAL-NAMES.
                      DECIMAL-POINT IS COMMA.
        INPUT-OUTPUT SECTION.
        FILE-CONTROL.
           SELECT F1 ASSIGN TO RANDOM "C:VENTAMEN.DAT".
           SELECT LISTADO ASSIGN TO PRINT "PRINTER".

       DATA DIVISION.
        FILE SECTION.
        FD F1 LABEL RECORD STANDARD.
        01 TOT-VENT PIC 9(8)V99.
        01 REG2.
           02 NART     PIC X(5).
           02 DESCRIP  PIC X(20).
           02 PC       PIC 9(3)V99.
           02 PV       PIC 9(3)V99.
           02 CANT     PIC 9(5).
           02 VENT-MES PIC 9(7)V99.
        FD LISTADO LABEL RECORD OMITTED.
        01 LINEA PIC X(80).
        WORKING-STORAGE SECTION.
        77 FF PIC X.
           88 FIN VALUE "X".
        77 AUX  PIC 9(8)V99.
        77 AUX1 PIC 9(8)V99.
        01 TIT.
           02 FILLER PIC X(27) VALUE SPACES.
           02 FILLER PIC X(7)  VALUE "LISTADO".
           02 FILLER PIC X(2)  VALUE SPACES.
           02 FILLER PIC X(6)  VALUE "VENTAS".
           02 FILLER PIC X(2)  VALUE SPACES.
           02 FILLER PIC X(9)  VALUE "MENSUALES".
        01 TIT1.
           02 FILLER PIC X(32) VALUE SPACES.
           02 FILLER PIC X(7)  VALUE "ALMACEN".
           02 FILLER PIC X(2)  VALUE SPACES.
           02 FILLER PIC X(7)  VALUE "VIZCAYA".
        01 TIT2.
           02 FILLER PIC X(6)  VALUE SPACES.
           02 FILLER PIC X(4)  VALUE "NART".
           02 FILLER PIC X(6)  VALUE SPACES.
           02 FILLER PIC X(11) VALUE "DESCRIPCION".
           02 FILLER PIC X(11) VALUE SPACES.
           02 FILLER PIC X(8)  VALUE "CANTIDAD".
           02 FILLER PIC X(6)  VALUE SPACES.
           02 FILLER PIC X(10) VALUE "VENTAS MES".
           02 FILLER PIC X(6)  VALUE SPACES.
           02 FILLER PIC X(12) VALUE "% VENTAS MES".
        01 DET.
           02 FILLER    PIC X(6) VALUE SPACES.
           02 NARTS     PIC X(5).
           02 FILLER    PIC X(5) VALUE SPACES.
           02 DESCRIPS  PIC X(20).
           02 FILLER    PIC X(2) VALUE SPACES.
           02 CANTS     PIC 9(5).
           02 FILLER    PIC X(6) VALUE SPACES.
           02 VENT-MESS PIC 9(7)V99.
           02 FILLER    PIC X(6) VALUE SPACES.
           02 PORCS     PIC 9(3).
        01 TIT3.
           02 FILLER    PIC X(6)  VALUE SPACES.
           02 FILLER    PIC X(10) VALUE "TOT VENTAS".
           02 TOT-VENTS PIC 9(8)V99.

       PROCEDURE DIVISION.
        INICIO.
           PERFORM PPROG
           PERFORM PROCESO UNTIL FIN
           PERFORM FPROG
           STOP RUN.

        PPROG.
           OPEN INPUT F1 OUTPUT LISTADO
           WRITE LINEA FROM TIT  BEFORE 3
           WRITE LINEA FROM TIT1 BEFORE 2
           WRITE LINEA FROM TIT2
           READ F1 AT END MOVE "*" TO FF.
           MOVE TOT-VENT TO AUX1
           READ F1 AT END MOVE "*" TO FF.

        PROCESO.
           MULTIPLY VENT-MES BY 100 GIVING AUX
           DIVIDE AUX1 INTO AUX GIVING PORCS
           MOVE NART TO NARTS
           MOVE DESCRIP TO DESCRIPS
           MOVE CANT TO CANTS
           MOVE VENT-MESS TO VENT-MESS
           WRITE LINEA FROM DET
           READ F1 AT END MOVE "*" TO FF.

        FPROG.
           MOVE TOT-VENT TO TOT-VENTS
           WRITE LINEA FROM TIT3
           CLOSE F1 LISTADO.

        FIN.
           EXIT.

