       
       IDENTIFICATION DIVISION.
        PROGRAM-ID. EXISTENCIAS.

       ENVIRONMENT DIVISION.
        CONFIGURATION SECTION.
        SOURCE-COMPUTER. IBM-PC.
        OBJECT-COMPUTER. IBM-PC.
        SPECIAL-NAMES.
                      DECIMAL-POINT IS COMMA.
        INPUT-OUTPUT SECTION.
        FILE-CONTROL.
           SELECT F1 ASSIGN TO RANDOM "C:EXISTENCIAS.DAT".
           SELECT LISTADO ASSIGN TO PRINT "PRINTER".

       DATA DIVISION.
       FILE SECTION.
       FD F1 LABEL RECORD STANDARD.
       01 EXISTENCIAS.
          02 NART      PIC X(5).
          02 DESC      PIC X(20).
          02 PC        PIC 9(3)V99.
          02 PV        PIC 9(3)V99.
          02 CANT      PIC 9(5).
          02 STOCK-MIN PIC 9(5).
        FD LISTADO LABEL RECORD OMITTED.
        01 LINEA PIC X(80).
        WORKING-STORAGE SECTION.
        77 FF PIC X.
           88 FIN VALUE "*".
        77 CONT PIC 9 VALUE ZERO.
        77 ACUM PIC 9(8)V99 VALUE ZERO.
        77 AUX PIC 9(6).
        77 AST PIC X(20) VALUE "********************".
        01 TIT.
           02 FILLER PIC X(24) VALUE SPACES.
           02 FILLER PIC X(23) VALUE "EXISTENCIAS ALMACEN AL".
           02 FECHA  PIC XX/XX/XX.
        01 TIT1.
           02 FILLER PIC X(22) VALUE SPACES.
           02 FILLER PIC X(5)  VALUE "NART".
           02 FILLER PIC X(2)  VALUE SPACES.
           02 FILLER PIC X(12) VALUE "DESCRIPCION".
           02 FILLER PIC X(2)  VALUE SPACES.
           02 FILLER PIC X(5)  VALUE "PC".
           02 FILLER PIC X(2)  VALUE SPACES.
           02 FILLER PIC X(2)  VALUE "PV".
           02 FILLER PIC X(5)  VALUE SPACES.
           02 FILLER PIC X(5)  VALUE "CANT".
           02 FILLER PIC X(2)  VALUE SPACES.
           02 FILLER PIC X(10) VALUE "IMPORTE   ".
        01 DET.
           02 FILLER PIC X(22) VALUE SPACES.
           02 NARTS  PIC X(5).
           02 FILLER PIC X(2)  VALUE SPACES.
           02 DESCS  PIC X(20).
           02 FILLER PIC X(2)  VALUE SPACES.
           02 PCS    PIC 9(3)V99.
           02 FILLER PIC X(2)  VALUE SPACES.
           02 PVS    PIC 9(3)V99.
           02 FILLER PIC X(2)  VALUE SPACES.
           02 CANTS  PIC 9(5).
           02 FILLER PIC X(2)  VALUE SPACES.
           02 IMPS   PIC 9(8)V99.
           02 FILLER PIC X(2)  VALUE SPACES.
           02 AUX1   PIC X(5)  VALUE SPACES.
        01 TIT2.
           02 FILLER   PIC X(20) VALUE SPACES.
           02 FILLER   PIC X(19) VALUE "TOTAL DE INVENTARIO".
           02 FILLER   PIC X(20) VALUE SPACES.
           02 TOT-IMPS PIC 9(8)V99.
           02 FILLER   PIC X(11) VALUE SPACES.

       PROCEDURE DIVISION.
        INICIO.
           PERFORM PPROG
           PERFORM PROCESO UNTIL FIN
           PERFORM FPROG
           STOP RUN.

        PPROG.
           OPEN INPUT F1 OUTPUT LISTADO
           DISPLAY "PON FECHA ACTUAL"
           ACCEPT FECHA UPDATE TAB
           READ F1 AT END MOVE "*" TO FF.

        PROCESO.
           IF CONT = 0  WRITE LINEA FROM TIT BEFORE 3
                        WRITE LINEA FROM TIT1.
           IF CONT < 40 
             IF CANT < STOCK-MIN MOVE AST TO DET
             ELSE MULTIPLY PC BY CANT GIVING AUX
             ADD AUX TO ACUM
             MOVE NART TO NARTS
             MOVE DESC TO DESCS
             MOVE PC TO PCS
             MOVE PV TO PVS
             MOVE CANT TO CANTS
             MOVE AUX TO IMPS
             WRITE LINEA FROM DET
             ADD 1 TO CONT
           ELSE
             MOVE "B" TO LINEA
             WRITE LINEA BEFORE PAGE
             MOVE 0 TO CONT
             READ F1 AT END MOVE "*" TO FF.

        FPROG.
           MOVE ACUM TO TOT-IMPS
           WRITE LINEA FROM TIT2
           CLOSE F1 LISTADO.

        FIN.
           EXIT.

