       
       IDENTIFICATION DIVISION.
        PROGRAM-ID. MATRICULAS-DE-ALUMNOS.
        AUTHOR. LA CALDERA DE PEDRO BOTERO.
        DATE-WRITTEN.  09-07-92.
        DATE-COMPILED. 17-07-92.
        SECURITY. UTILIZAR EXCLUSIVAMENTE BAJO LICENCIA DE 
                  LA CALDERA DE PEDRO BOTERO.
        REMARKS. PROGRAMA DE CONTROL DE MATRICULAS DE ALUMNOS.

      *******************************************************************  
      *                                                                 *
      * ESTE PROGRAMA REALIZA EL CONTROL DE LOS ALUMNOS DE UN INSTITUTO * 
      * O DE UN CENTRO DE FORMACION PROFESIONAL O DE CENTROS SIMILARES. *
      *                                                                 *
      *******************************************************************

       ENVIRONMENT DIVISION.
        CONFIGURATION SECTION.
        SOURCE-COMPUTER. IBM-PC.
        OBJECT-COMPUTER. IBM-PC.
        SPECIAL-NAMES.
                      DECIMAL-POINT IS COMMA.
        INPUT-OUTPUT SECTION.
        FILE-CONTROL.
           SELECT F1    ASSIGN TO RANDOM "MATRICUL.DAT".
           SELECT LISTA ASSIGN TO PRINT "PRINTER".

       DATA DIVISION.
        FILE SECTION.
        FD F1 LABEL RECORD STANDARD.
        01 REG.
           02 NUM    PIC X(4).
           02 NOMBRE PIC X(24).
           02 DIREC  PIC X(24).
           02 TELF   PIC X(7).
           02 CURGRU PIC X(5).
           02 ASIGP  PIC X(11).
        FD LISTA LABEL RECORD OMITTED.
        01 LINEA PIC X(80).
        WORKING-STORAGE SECTION.
        77 FF      PIC X     VALUE SPACES.
        77 CAMPO   PIC 9     VALUE ZERO.
        77 OP      PIC 9     VALUE 9.
        77 SEC     PIC X(30) VALUE SPACES.
        77 SN      PIC X     VALUE SPACE.
        77 NUMC    PIC X     VALUE SPACE.
        77 IMPRSN  PIC X     VALUE ZERO.
        77 IMP     PIC X     VALUE ZERO.
        77 LINEAS  PIC 9(2)  VALUE ZEROES.
        77 BUFFER  PIC X(24) VALUE SPACES.
        77 GRAB    PIC X     VALUE SPACES.
        01 TIT0.
           02 FILLER PIC X(27) VALUE SPACES.
           02 FILLER PIC X(26) VALUE "ͻ".
           02 FILLER PIC X(26) VALUE SPACES.
        01 TIT1.
           02 FILLER PIC X(27) VALUE SPACES.
           02 FILLER PIC X(26) VALUE " INSTITUTO DE BASAURI I ".
           02 FILLER PIC X(26) VALUE SPACES.
        01 TIT2.
           02 FILLER PIC X(27) VALUE SPACES.
           02 FILLER PIC X(26) VALUE "ͼ".
           02 FILLER PIC X(26) VALUE SPACES.
        01 TIT3.
           02 FILLER PIC X(5)  VALUE "NUM  ".
           02 FILLER PIC X(25) VALUE "NOMBRE                   ".
           02 FILLER PIC X(25) VALUE "DIRECCION                ".
           02 FILLER PIC X(8)  VALUE "TELEF  ".
           02 FILLER PIC X(6)  VALUE "CURSO ".
           02 FILLER PIC X(10) VALUE "ASIG.PEND.".
        01 TIT4.
           02 FILLER PIC X(5)  VALUE "---- ".
           02 FILLER PIC X(25) VALUE "------------------------ ".
           02 FILLER PIC X(25) VALUE "------------------------ ".
           02 FILLER PIC X(8)  VALUE "------- ".
           02 FILLER PIC X(6)  VALUE "----- ".
           02 FILLER PIC X(10) VALUE "----------".
        01 DET.
           02 NUMS    PIC X(4).
           02 FILLER  PIC X VALUE "|".
           02 NOMBRES PIC X(24).
           02 FILLER  PIC X VALUE "|".
           02 DIRECS  PIC X(24).
           02 FILLER  PIC X VALUE "|".
           02 TELFS   PIC X(7).
           02 FILLER  PIC X VALUE "|".
           02 CURGRUS PIC X(5).
           02 FILLER  PIC X VALUE "|".
           02 ASIGPS  PIC X(10).
        
       PROCEDURE DIVISION.
       DECLARATIVES.
        ERRORES SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON F1.
        ER.
           OPEN OUTPUT F1.
        END DECLARATIVES.
       INICIO SECTION.
        PRINCIPAL.
           OPEN OUTPUT LISTA
           DISPLAY " " ERASE SIZE 80 CONTROL "BCOLOR = BLUE"
           PERFORM PROCESO UNTIL OP = 0
           DISPLAY " " ERASE SIZE 80 CONTROL "BCOLOR = BLACK"
           CLOSE LISTA
           STOP RUN.

        PROCESO.
           DISPLAY " " ERASE
           DISPLAY "ͻ" LOW LINE 4  POSITION 26
           DISPLAY " INSTITUTO DE BASAURI I " LOW LINE 5  POSITION 26
           DISPLAY "ͼ" LOW LINE 6  POSITION 26
           DISPLAY " 0 . . . . . SALIR AL DOS " LOW LINE 10 POSITION 20
           DISPLAY " 1 . . . . . METER DATOS  " LOW LINE 12 POSITION 20
           DISPLAY " 2 . . . . . BUSCAR DATOS " LOW LINE 14 POSITION 20
           DISPLAY " Opcion: "                  LOW LINE 20 POSITION 28
           ACCEPT OP                            LOW LINE 20 POSITION 38
           IF OP = 1 OPEN EXTEND F1 
                     PERFORM METER 
                     CLOSE F1.
           IF OP = 2 OPEN INPUT F1 
                     PERFORM BUSCAR
                     CLOSE F1.

        BUSCAR.
           MOVE " " TO FF
           MOVE 8 TO LINEAS
           DISPLAY " " ERASE
           DISPLAY " "
           DISPLAY "      0      -      NUMERO "    LOW
           DISPLAY "      1      -      NOMBRE "    LOW
           DISPLAY "      2      -      DIRECCION " LOW
           DISPLAY "      3      -      TELEFONO "  LOW
           DISPLAY "      4      -      CURSO "     LOW
           DISPLAY "      5      -      TODOS " LOW
           DISPLAY " CAMPO A BUSCAR: "     LOW LINE 11 POSITION 1
           ACCEPT CAMPO                    LOW LINE 11 POSITION 20
           IF CAMPO NOT = 5
                    DISPLAY "SECUENCIA A BUSCAR:" LOW LINE 13 POSITION 2
                    ACCEPT SEC LOW LINE 13 POSITION 24.
           DISPLAY "SALIDA POR IMPRESORA? S/N" LOW LINE 15 POSITION 2
           ACCEPT IMPRSN LOW LINE 15 POSITION 32 
           IF IMPRSN = "S" OR IMPRSN = "s" 
              MOVE 1 TO IMP 
           ELSE 
              MOVE 0 TO IMP.
           DISPLAY " " ERASE
           IF IMP = 1
              WRITE LINEA FROM TIT0
              WRITE LINEA FROM TIT1
              WRITE LINEA FROM TIT2 
              WRITE LINEA FROM TIT3 BEFORE 3
              WRITE LINEA FROM TIT4 BEFORE 2
           ELSE
              DISPLAY TIT0 LOW
              DISPLAY TIT1 LOW
              DISPLAY TIT2 LOW
              DISPLAY TIT3 LINE 6 LOW
              DISPLAY TIT4 LINE 7 LOW.
           IF IMP = 1 DISPLAY "IMPRIMIENDO...." LINE 15 POSITION 30 LOW.
           PERFORM BUSCAR2 UNTIL FF = "*"
           IF IMP = 1 WRITE LINEA FROM TIT4 ELSE DISPLAY TIT4 LOW.
           ACCEPT SN LOW.

        BUSCAR2.
           MOVE NUM TO NUMS
           MOVE NOMBRE TO NOMBRES
           MOVE DIREC TO DIRECS
           MOVE TELF TO TELFS
           MOVE CURGRU TO CURGRUS
           MOVE ASIGP TO ASIGPS.
           IF (CAMPO = 0 AND NUM = SEC)    OR
              (CAMPO = 1 AND NOMBRE = SEC) OR 
              (CAMPO = 2 AND DIREC  = SEC) OR 
              (CAMPO = 3 AND TELF   = SEC) OR 
              (CAMPO = 4 AND CURGRU = SEC) 
              PERFORM ESCRIBIR.
           IF CAMPO = 5 PERFORM ESCRIBIR.
           READ F1 AT END MOVE "*" TO FF.

        METER.
           PERFORM METER2 UNTIL SN = "N" OR SN = "n".
       
        METER2.
           MOVE SPACE TO SN
           MOVE SPACE TO GRAB
           DISPLAY " " ERASE
           DISPLAY "1 - NUMERO ="                LOW LINE 5  POSITION 2
           ACCEPT NUM                        TAB LOW LINE 5  POSITION 15
           DISPLAY "2 - NOMBRE ="                LOW LINE 7  POSITION 2 
           ACCEPT NOMBRE                     TAB LOW LINE 7  POSITION 15
           DISPLAY "3 - DIRECCION ="             LOW LINE 9  POSITION 2 
           ACCEPT DIREC                      TAB LOW LINE 9  POSITION 18
           DISPLAY "4 - TELEFONO ="              LOW LINE 11 POSITION 2
           ACCEPT TELF                       TAB LOW LINE 11 POSITION 17
           DISPLAY "5 - CURSO Y GRUPO ="         LOW LINE 13 POSITION 2
           ACCEPT CURGRU                     TAB LOW LINE 13 POSITION 22
           DISPLAY "6 - ASIGNATURAS PENDIENTES =" LOW LINE 15 POSITION 2
           ACCEPT ASIGP                      TAB LOW LINE 15 POSITION 31
           DISPLAY " SI ESTAN TODOS BIEN PULSE S" LOW LINE 18  
           DISPLAY " SINO PULSE NUMERO DE CAMPO"  LOW LINE 19
           ACCEPT SN LOW LINE 20 POSITION 2
           IF SN NOT = "S" OR SN NOT = "s" 
              PERFORM CORREGIR UNTIL SN = "S" OR SN = "s".
           DISPLAY " GRABAR EL REGISTRO? S/N" LOW LINE 22
           ACCEPT GRAB LOW LINE 22 POSITION 30
           IF GRAB = 'S' OR GRAB = 's' WRITE REG.
           DISPLAY "HAY MAS REGISTROS? S/N"     LOW LINE 24 POSITION 2
           ACCEPT SN LOW LINE 24 POSITION 27.
             
       ESCRIBIR.
           ADD 1 TO LINEAS
           IF LINEAS = 25 
              DISPLAY TIT4 LOW
              MOVE 0 TO LINEAS
              ACCEPT SN
              DISPLAY " " ERASE
              IF NOT IMP = 1
                 DISPLAY TIT3 LOW
                 DISPLAY TIT4 LOW.
           IF IMP = 1 WRITE LINEA FROM DET ELSE DISPLAY DET LOW.

       CORREGIR.
           MOVE ALL " " TO BUFFER.
           IF SN = "1" 
              MOVE NUM TO BUFFER
              ACCEPT NUM LOW TAB LINE 5 POSITION 15
              IF NUM = " " MOVE BUFFER TO NUM.
           IF SN = "2" 
              MOVE NOMBRE TO BUFFER
              ACCEPT NOMBRE LOW TAB LINE 7 POSITION 15
              IF NOMBRE = " " MOVE BUFFER TO NOMBRE.
           IF SN = "3" 
              MOVE DIREC TO BUFFER
              ACCEPT DIREC  LOW TAB LINE 9 POSITION 18
              IF DIREC = " " MOVE BUFFER TO DIREC.
           IF SN = "4" 
              MOVE TELF TO BUFFER
              ACCEPT TELF   LOW TAB LINE 11 POSITION 17
              IF TELF = " " MOVE BUFFER TO TELF.
           IF SN = "5" 
              MOVE CURGRU TO BUFFER
              ACCEPT CURGRU LOW TAB LINE 13 POSITION 22
              IF CURGRU = " " MOVE BUFFER TO CURGRU.
           IF SN = "6" 
              MOVE ASIGP TO BUFFER
              ACCEPT ASIGP LOW TAB LINE 15 POSITION 31
              IF ASIGP = " " MOVE BUFFER TO ASIGP.
           ACCEPT SN LOW LINE 20 POSITION 2.

        FIN.
           EXIT.

