
       IDENTIFICATION DIVISION.
        PROGRAM-ID. OBRAS-PUBLICAS.
        AUTHOR. KOLDO EMBUN.
       
       ENVIRONMENT DIVISION.
        CONFIGURATION SECTION.
        SOURCE-COMPUTER. IBM-PC.
        OBJECT-COMPUTER. IBM-PC.
        SPECIAL-NAMES.
                      DECIMAL-POINT IS COMMA.
        INPUT-OUTPUT SECTION.
        FILE-CONTROL.
           SELECT F1 ASSIGN TO RANDOM "C:MATERIAL.DAT"
                     ORGANIZATION INDEXED
                     ACCESS MODE RANDOM
                     RECORD KEY CDART.
           SELECT F2 ASSIGN TO RANDOM "C:PROVEDOR.DAT"
                     ORGANIZATION INDEXED
                     ACCESS MODE RANDOM
                     RECORD KEY PROV.
           SELECT F3 ASSIGN TO RANDOM "C:DIARIO.DAT".
           SELECT LISTADO ASSIGN TO PRINT "PRINTER".

       DATA DIVISION.
        FILE SECTION.
        FD F1 LABEL RECORD STANDARD.
        01 REG1.
           02 CDART   PIC X(5).
           02 CANT    PIC 9(6).
           02 STOCMIN PIC 9(4).
           02 PROV1   PIC X(5).
           02 LOTECON PIC X(4).
           02 PC      PIC 9(4).
           02 EST     PIC X.
        FD F2 LABEL RECORD STANDARD.
        01 REG2.
           02 PROV    PIC X(5).
           02 NOMBRE  PIC X(25).
           02 DIREC   PIC X(30).
           02 TELF    PIC 9(10).
        FD F3 LABEL RECORD STANDARD.
        01 REG3.
           02 CDTAR   PIC X(2).
           02 HORAS   PIC 9(2).
           02 NART    PIC 9.
           02 TABLA OCCURS 1 TO 3 DEPENDING ON NART.
              03 CDART3 PIC X(5).
              03 CANT3  PIC 9(6).
        FD LISTADO LABEL RECORD OMITTED.
        01 LINEA PIC X(80).
        WORKING-STORAGE SECTION.
        01 REG4 PIC X(120) VALUE "RENOVACION VIA     000000000000RENOVA 
      -    "CION APARATOS000000000000CAMBIO TRAVIESAS   000000000000".         
        01 REG5 REDEFINES REG4.
           02 TABLA1 OCCURS 3.
              03 TNON PIC X(19).
              03 THOR PIC 9(2).
              03 TIMP PIC 9(10).
        01 TITULO.
           02 FILLER PIC X(25) VALUE SPACES.
           02 FILLER PIC X(30) VALUE "RELACION DE ARTICULOS A PEDIR".
        01 TITULO2.
           02 FILLER PIC X(5)  VALUE SPACES.
           02 FILLER PIC X(17) VALUE "CODIGO ARTICULO  ".
           02 FILLER PIC X(16) VALUE "LOTE ECONOMICO  ".
           02 FILLER PIC X(18) VALUE "NUMERO PROVINCIA  ".
           02 FILLER PIC X(12) VALUE "DIRECCION  ".
           02 FILLER PIC X(18) VALUE SPACES.
           02 FILLER PIC X(6)  VALUE "NOMBRE".
        01 DET1.
           02 FILLER   PIC X(5)  VALUE SPACES.
           02 CDARTS   PIC X(5).
           02 FILLER   PIC X(12) VALUE SPACES.
           02 LOTECONS PIC X(4).
           02 FILLER   PIC X(12) VALUE SPACES.
           02 PROVS    PIC X(5).
           02 FILLER   PIC X(13) VALUE SPACES.
           02 DIRECS   PIC X(30).
           02 NOMBRES  PIC X(25).
        01 TITULO3.
           02 FILLER   PIC X(23) VALUE SPACES.
           02 FILLER   PIC X(26) VALUE "TAREAS REALIZADAS EL DIA  ".
           02 FECHA    PIC XX/XX/XX.
        01 TITULO4.
           02 FILLER   PIC X(5)  VALUE SPACES.
           02 FILLER   PIC X(21) VALUE "NOMBRE TAREA         ".
           02 FILLER   PIC X(18) VALUE "HORAS UTILIZADAS  ".
           02 FILLER   PIC X(18) VALUE "IMPORTE MATERIALES".
        01 DET2.
           02 FILLER   PIC X(5)  VALUE SPACES.
           02 NOMTARFS PIC X(19).
           02 FILLER   PIC X(2)  VALUE SPACES.
           02 HORUTLS  PIC 9(2).
           02 FILLER   PIC X(16) VALUE SPACES.
           02 IMPTMATS PIC 9(10).
        01 FECHA.
           02 DD       PIC 9(2).
           02 MM       PIC 9(2).
           02 AA       PIC 9(2).
        77 FF PIC X VALUE SPACE.
        77 X  PIC 9(2).

       PROCEDURE DIVISION.
        INICIO.
           PERFORM PPROG
           PERFORM PROCESO UNTIL FF = "*"
           PERFORM FPROG
           STOP RUN.

        PPROG.
           OPEN INPUT F3 I-O F1 F2 OUTPUT LISTADO
           WRITE LINEA FROM TITULO  BEFORE 3
           WRITE LINEA FROM TITULO2 BEFORE 2
           READ F3 AT END MOVE "*" TO FF.

        PROCESO.
           PERFORM MOVER VARYING X FROM 1 BY 1 UNTIL X > NART.
           
        MOVER.
           MOVE CDART3 TO CDART
           READ F1 INVALID KEY DISPLAY "ERROR..."
           NOT INVALID KEY PERFORM EXISTENCIA
           MOVE ACUM TO TACUM(CDTAR)
           WRITE LINEA.

        EXISTENCIA.
           SUBTRACT CANT3(X) FROM CANT
           REWRITE F1 INVALID KEY DISPLAY "ERROR..."
           NOT INVALID KEY IF CANT > 1 

