       
       IDENTIFICATION DIVISION.
        PROGRAM-ID. PRINCIPAL.

       ENVIRONMENT DIVISION.
        INPUT-OUTPUT SECTION.
        FILE-CONTROL.
           SELECT ALUMNOS ASSIGN TO DISK
                  ORGANIZATION IS RELATIVE
                  ACCESS RANDOM 
                  RELATIVE KEY IS CODIGO-AL.

       DATA DIVISION.
        FILE SECTION.
        FD ALUMNOS LABEL RECORD IS STANDARD
                   VALUE OF FILE-ID "ALUMNOS.DAT".
        01 REG-ALUM.
           05 NOMBRE    PIC X(23).
           05 DIRECCION PIC X(25).
           05 TELF      PIC X(10).
           05 NOTA-ME   PIC 99V99.
           05 CALIF     PIC XX.
        WORKING-STORAGE SECTION.
        01 CODIGO-AL  PIC 9(4).
        01 NOTA-S     PIC Z9.99.
        01 EXISTENCIA PIC X.
           88 EXISTE VALUE "S".

       PROCEDURE DIVISION.
        INICIO.
           OPEN INPUT ALUMNOS
           DISPLAY "INTRODUZCA CODIGO"
           ACCEPT CODIGO-AL
           PERFORM MOSTRAR UNTIL CODIGO-AL = 0
           CLOSE ALUMNOS
           STOP RUN.

        MOSTRAR.
           MOVE "S" TO EXISTENCIA
           READ ALUMNOS INVALID KEY MOVE "N" TO EXISTENCIA
           IF EXISTE
              MOVE NOTA-ME TO NOTA-S
              DISPLAY "NOMBRE" NOMBRE
              DISPLAY "DIRECCION" DIRECCION
              DISPLAY "TELEFONO" TELF
              DISPLAY "NOTA MEDIA" NOTA-S
              DISPLAY "CALIFICACION" CALIF
           ELSE
              DISPLAY "NO EXISTE NINGUN ALUMNOS CON CODIGO" 
      -       CODIGO-AL END-IF. 
           DISPLAY "INTRODUZCA CODIGO"
           ACCEPT CODIGO-AL.




