
       IDENTIFICATION DIVISION.
       PROGRAM-ID. BANCO.
       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.
       OBJECT-COMPUTER.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT F1 ASSIGN TO RANDOM "C:BANCO.DAT"
           ORGANIZATION INDEXED
           ACCESS MODE DYNAMIC
           RECORD KEY NOM
           ALTERNATE RECORD KEY CURS.
       DATA DIVISION.
       FILE SECTION.
       FD  F1 LABEL RECORD STANDARD.
       01  REG1.
           02 NOM PIC X(30).
           02 DIR PIC X(28).
           02 TELF PIC 9(7).
           02 CURS PIC X(5).
       WORKING-STORAGE SECTION.
       77  OPC PIC 9 VALUE ZERO.
       77  CONT PIC 9 VALUE ZERO.
       77  FF PIC X VALUE SPACE.
       77  CONT1 PIC X VALUE SPACE.

       PROCEDURE DIVISION.
       DECLARATIVES.
       ERRORES SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON F1.
       ER. 
           OPEN OUTPUT F1.
       END DECLARATIVES.

       INICIO SECTION.

       PRINCIPAL.
           PERFORM MENU UNTIL CONT = 5
           STOP RUN.

       MENU.
           PERFORM PP
           PERFORM PROC 
           PERFORM FP1.
       PP. 
           DISPLAY " " ERASE
           DISPLAY "CREACCION                1" LINE 5 POSITION 30 LOW
           DISPLAY "ALTAS                    2" LINE 7 POSITION 30 LOW
           DISPLAY "BAJAS                    3" LINE 9 POSITION 30 LOW
           DISPLAY "BUSQUEDA                 4" LINE 11 POSITION 30 LOW
           DISPLAY "SALIR                    5" LINE 13 POSITION 30 LOW
           DISPLAY "OPCION: " LINE 20 POSITION 20 LOW
           ACCEPT CONT LINE 20 POSITION 30 TAB LOW.

       PROC.
           IF CONT = 1 PERFORM CREAR.
           IF CONT = 2 PERFORM ALTAS.
           IF CONT = 3 PERFORM BAJAS.
           IF CONT = 4 PERFORM BUSCAR.

       CREAR.
           PERFORM PROC1 UNTIL CONT1 = "N" OR CONT1 = "n"
           CLOSE F1.

       PROC1.
           MOVE ALL " " TO REG1
           DISPLAY "NOMBRE: " LINE 2 POSITION 2 LOW ERASE
           ACCEPT NOM LINE 2 POSITION 11 LOW TAB
           DISPLAY "DIRECCION: " LINE 4 POSITION 2 LOW
           ACCEPT DIR LINE 4 POSITION 14 LOW TAB
           DISPLAY "TELEFONO: " LINE 6 POSITION 2 LOW
           ACCEPT TELF LINE 6 POSITION 13 LOW TAB
           DISPLAY "CURSO: " LINE 8 POSITION 2 LOW
           ACCEPT CURS LINE 8 POSITION 10 LOW TAB
           MOVE " " TO CONT1
           DISPLAY "ESTA TODO BIEN? S/N   " LINE 12 POSITION 2 LOW
           PERFORM ACEPTAR UNTIL CONT1 = "N" OR CONT1 = "n"  
      -            OR CONT1 = "S" OR CONT1 = "n" 
           IF CONT1 = "S" OR CONT1 = "s" MOVE " " TO CONT1
              DISPLAY "SEGUIR? S/N  " LINE 14 POSITION 2 LOW
              PERFORM ACEPTAR UNTIL CONT1 = "S" OR CONT1 = "s".

       ACEPTAR.
           ACCEPT CONT1.

       BUSCAR.


       BAJAS.

       ALTAS.

       CERRAR.


       FIN.
           EXIT.

