
       IDENTIFICATION DIVISION.
       PROGRAM-ID. EJERCICIO2.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.
       SPECIAL-NAMES. DECIMAL-POINT IS COMMA.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT F1 ASSIGN TO RANDOM "PEDIDO.DAT".
           SELECT F2 ASSIGN TO RANDOM "DATO.DAT".
           SELECT LISTA ASSIGN TO PRINT "PRINTER".

       DATA DIVISION.
       FILE SECTION.
        FD F1 LABEL RECORD STANDARD.
        01 PEDIDO.
           02 NCL  PIC 9(3).
           02 NART PIC 9(4).
           02 CANT PIC 9(5).
           02 PC   PIC 9(3)V99.
           02 IMPT PIC 9(8)V99.
        FD F2 LABEL RECORD STANDARD.
        01 DATO.
           02 NCLI  PIC 9(3).
           02 IMPOR PIC 9(8)V99.
        FD LISTA LABEL RECORD OMITTED.
        01 LINEA PIC X(80).
       WORKING-STORAGE SECTION.
        77 FF    PIC X VALUE SPACES.
        77 FECHA PIC X(8).
        01 TIT.
           02 FILLER PIC X(33) VALUE SPACES.
           02 FILLER PIC X(14) VALUE "VENTAS DEL DIA".
           02 FILLER PIC X(3)  VALUE SPACES.
           02 FECHAS PIC 99/99/99.
        01 TIT2.
           02 FILLER PIC X(11) VALUE SPACES.
           02 FILLER PIC X(3)  VALUE "NCL".
           02 FILLER PIC X(8)  VALUE SPACES.
           02 FILLER PIC X(4)  VALUE "NART".
           02 FILLER PIC X(8)  VALUE SPACES.
           02 FILLER PIC X(4)  VALUE "CANT".
           02 FILLER PIC X(8)  VALUE SPACES.
           02 FILLER PIC X(2)  VALUE "PC".
           02 FILLER PIC X(8)  VALUE SPACES.
           02 FILLER PIC X(7)  VALUE "IMPORTE".
        01 DET.
           02 FILLER PIC X(7) VALUE SPACES.
           02 NCLS   PIC 9(3).
           02 FILLER PIC X(7) VALUE SPACES.
           02 NARTS  PIC 9(3).
           02 FILLER PIC X(7)  VALUE SPACES.
           02 CANTS  PIC ZZ.ZZ9.
           02 FILLER PIC X(7)  VALUE SPACES.
           02 PCS    PIC ZZ9V99.
           02 FILLER PIC X(7)  VALUE SPACES.
           02 IMPTS  PIC ZZ.ZZZ.ZZ9V99.
        01 TIT3.
           02 FILLER PIC X(42) VALUE SPACES.
           02 FILLER PIC X(8)  VALUE "CEINMARK".

       PROCEDURE DIVISION.
       INICIO.
           PERFORM PPROG
           PERFORM PROCESO UNTIL FF = "*"
           PERFORM FPROG
           STOP RUN.

       PPROG.
           OPEN INPUT F1 OUTPUT F2 LISTA
           MOVE FECHA TO FECHAS
           WRITE LINEA FROM TIT  BEFORE 2
           WRITE LINEA FROM TIT2 BEFORE 1
           READ F1 AT END MOVE "*" TO FF.

       PROCESO.
           MOVE NCL  TO NCLI
           MOVE IMPT TO IMPTS
           MOVE IMPT TO IMPOR
           MOVE NCL  TO NCLS
           MOVE NART TO NARTS
           MOVE CANT TO CANTS
           MOVE PC   TO PCS
           WRITE LINEA FROM DATO
           WRITE LINEA FROM DET
           READ F1 AT END MOVE "*" TO FF.

       FPROG.
           CLOSE F1 F2 LISTA.

       FIN.
           EXIT.


