    
       IDENTIFICATION DIVISION.
       PROGRAM-ID. EJERC-J.
       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.
       SPECIAL-NAMES.
           DECIMAL-POINT IS COMMA.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT F1 ASSIGN TO RANDOM "C:CONTR".
           SELECT F2 ASSIGN TO RANDOM "C:CONTR2".
           SELECT LISTADO ASSIGN TO PRINT "PRINTER".
       DATA DIVISION.
       FILE SECTION.
       FD  F1 LABEL RECORD IS STANDARD.
       01  CONTR.
           02 NEMP PIC XX.
           02 NOM PIC X(28).
           02 DIR PIC X(20).
           02 SB PIC 9(6).
           02 PUS PIC 9(6).
           02 HORAS PIC 9(2).
           02 FECHA.
              03 DD PIC 9(2).
              03 MM PIC 9(2).
              03 AA PIC 9(2).
           02 EC PIC X(9).
       FD  F2 LABEL RECORD IS STANDARD.
       01  CONTR1 PIC X(80).  
       FD  LISTADO LABEL RECORD IS OMITTED.
       01  LINEA PIC X(80).
       WORKING-STORAGE SECTION.
       77  F PIC X VALUE SPACE.
       01  FECHAS. 
           02 AAS PIC 99.
           02 MMS PIC 99.
           02 DDS PIC 99.
       77  ENPR PIC X(25).
       77  PHS  PIC 9(3).
       77  CA   PIC 9(3).
       77  AUX PIC 9(6).
       77  AUX1 PIC 9(2).
       77  AUX2 PIC 9(2).
       77  AUX3 PIC 9(6).
       77  AUX4 PIC 9(8).
       77  AUX5 PIC 9V99.
       77  AUX6 PIC 9(9)V99.
       77  AUX7 PIC 9V99.
       77  AUX8 PIC 9(9)V99.
       77  AUX9 PIC 9(10)V99.
       77  AUX10 PIC 9(3).
       77  AUX11 PIC 9(3).
       77  AUX12 PIC 9(10)V99.
       01  TIT.
           02 FILLER PIC X(13) VALUE SPACES.
           02 FILLER PIC X(7) VALUE "EMPRESA".
           02 FILLER PIC X(2) VALUE SPACES.
           02 EMPR   PIC X(20).
           02 FILLER PIC X(10) VALUE SPACES.
           02 FILLER PIC X(5) VALUE "FECHA".
           02 FILLER PIC X(2) VALUE SPACES.
           02 FECH   PIC XX/XX/XX.
       01  TIT1.
           02 FILLER PIC X(13) VALUE SPACES.
           02 FILLER PIC X(4) VALUE "NEMP".
           02 FILLER PIC X(13) VALUE SPACES.
           02 FILLER PIC X(28) VALUE "NOMBRE".
           02 FILLER PIC X(13) VALUE SPACES.
           02 FILLER PIC X(20) VALUE "DIRECCION".
       01  DET.
           02 FILLER PIC X(13) VALUE SPACES.
           02 NEMPS PIC XX.
           02 FILLER PIC X(15) VALUE SPACES.
           02 NOMS PIC X(28).
           02 FILLER PIC X(13) VALUE SPACES.
           02 DIRS PIC X(20).
       01  TIT2.
           02 FILLER PIC X(53) VALUE SPACES.
           02 FILLER PIC X(11) VALUE "SUELDO BASE".
           02 FILLER PIC X(4) VALUE SPACES.
           02 SBS PIC 9(6).
       01  TIT3.
           02 FILLER PIC X(53) VALUE SPACES.
           02 FILLER PIC X(13) VALUE "PUS CONVENIO".
           02 FILLER PIC X(2) VALUE SPACES.
           02 PUSS PIC 9(6).
       01  TIT4.
           02 FILLER PIC X(11) VALUE SPACES.
           02 FILLER PIC X(5) VALUE "HORAS".
           02 FILLER PIC X(2) VALUE SPACES.
           02 HORASS PIC 99.
           02 FILLER PIC X(11) VALUE SPACES.
           02 FILLER PIC X(6) VALUE "PRECIO".
           02 FILLER PIC X(2) VALUE SPACES.
           02 PREC PIC 9(3).
           02 FILLER PIC X(11) VALUE SPACES.
           02 FILLER PIC X(9) VALUE "IMP.HORAS".
           02 FILLER PIC X(6) VALUE SPACES.
           02 IM-HORAS PIC 9(5).
       01  TIT5.
           02 FILLER PIC X(53) VALUE SPACES.
           02 FILLER PIC X(10) VALUE "ANTIGUEDAD".
           02 FILLER PIC X(5) VALUE SPACES.
           02 ANT PIC 9(3).
       01  TIT6.
           02 FILLER PIC X(53) VALUE SPACES.
           02 FILLER PIC X(12) VALUE "SUELDO BRUTO".
           02 FILLER PIC X(3) VALUE SPACES.
           02 SBR PIC 9(8).
       01  TIT7.
           02 FILLER PIC X(11) VALUE SPACES.
           02 FILLER PIC X(2) VALUE "SS".
           02 FILLER PIC X(4) VALUE SPACES.
           02 SSS PIC 9(3).
           02 FILLER PIC X(34) VALUE SPACES.
           02 FILLER PIC X(6) VALUE "DTO.SS".
           02 FILLER PIC X(9) VALUE SPACES.
           02 DTO-SSS PIC 9(9)V99.
       01  TIT8.
           02 FILLER PIC X(11) VALUE SPACES.
           02 FILLER PIC X(4) VALUE "IRPF".
           02 FILLER PIC X(2) VALUE SPACES.
           02 IRPFS PIC 9(3).
           02 FILLER PIC X(33) VALUE SPACES.
           02 FILLER PIC X(8) VALUE "DTO.IRPF".
           02 FILLER PIC X(7) VALUE SPACES.
           02 DTO-IRPFS PIC 9(9)V99.
       01  TIT9.
           02 FILLER PIC X(53) VALUE SPACES.
           02 FILLER PIC X(14) VALUE "SUELDO LIQUIDO".
           02 FILLER PIC X(2) VALUE SPACES.
           02 SL PIC 9(9)V99.
       PROCEDURE DIVISION.
       INICIO.
           PERFORM P-PROG
           PERFORM PROCESO UNTIL F = "*"
           PERFORM F-PROG
           STOP RUN.
       P-PROG.
           OPEN INPUT F1 OUTPUT F2 LISTADO
           DISPLAY "EMPRESA".
           ACCEPT ENPR TAB
           DISPLAY "FECHA".
           ACCEPT FECHAS TAB
           DISPLAY "PRECIO HORA-EXTRA".
           ACCEPT PHS TAB
           DISPLAY "TRIENIO".
           ACCEPT CA TAB
           WRITE LINEA FROM TIT BEFORE 3
           WRITE LINEA FROM TIT1
           READ F1 AT END MOVE "*" TO F.
       PROCESO.
           MULTIPLY PHS BY HORAS GIVING AUX
           SUBTRACT AAS FROM AA  GIVING AUX1
           IF MMS < MM SUBTRACT 1 FROM AUX1
           DIVIDE 3 INTO AUX1 GIVING AUX2
           MULTIPLY CA BY AUX2 GIVING AUX3
           ADD AUX4 TO AUX AUX1 AUX3 PUS.
           IF EC NOT = "C"
              IF EC NOT = "S"
                 IF EC NOT = "V"  
                    IF EC NOT = "D" WRITE CONTR1 FROM CONTR
                    ELSE MOVE 7 TO AUX10
                    MOVE 9 TO AUX11
                 ELSE MOVE 5 TO AUX10
                 MOVE 11 TO AUX11
              ELSE MOVE 6 TO AUX10
              MOVE 15 TO AUX11
           ELSE MOVE 5 TO AUX10
           MOVE 13 TO AUX11
           DIVIDE 100 INTO AUX10 GIVING AUX5
           MULTIPLY AUX4 BY AUX5 GIVING AUX6
           DIVIDE 100 INTO AUX11 GIVING AUX7
           MULTIPLY AUX4 BY AUX7 GIVING AUX8
           ADD AUX6 TO AUX8 GIVING AUX9
           SUBTRACT AUX9 FROM SB GIVING AUX12
           MOVE NEMP TO NEMPS
           MOVE NOM TO NOMS
           MOVE DIR TO DIRS
           WRITE LINEA FROM DET
           MOVE SB TO SBS
           WRITE LINEA FROM TIT2
           MOVE PUS TO PUSS 
           WRITE LINEA FROM  TIT3
           MOVE HORAS TO HORASS
           MOVE PHS TO PREC
           MOVE AUX TO IM-HORAS
           WRITE LINEA FROM TIT4
           MOVE AUX3 TO ANT
           WRITE LINEA FROM TIT5
           MOVE AUX4 TO SBR
           WRITE LINEA FROM TIT6
           MOVE AUX10 TO SSS
           MOVE AUX6 TO DTO-SSS
           WRITE LINEA FROM TIT7
           MOVE AUX11 TO IRPFS
           MOVE AUX8 TO DTO-IRPFS
           WRITE LINEA FROM TIT8
           MOVE AUX12 TO SL
           WRITE LINEA FROM TIT9 BEFORE PAGE.
           READ  F1 AT END MOVE "*" TO F.
        F-PROG.
           CLOSE F1 F2 LISTADO.










