
       IDENTIFICATION DIVISION.
        PROGRAM-ID. RECLUTAS.

       ENVIRONMENT DIVISION.
        CONFIGURATION SECTION.
        SOURCE-COMPUTER. IBM-PC.
        OBJECT-COMPUTER. IBM-PC.
        SPECIAL-NAMES.
                      DECIMAL-POINT IS COMMA.
        INPUT-OUTPUT SECTION.
        FILE-CONTROL.
           SELECT F1 ASSIGN TO RANDOM "C:RECLUTA.DAT".
           SELECT LISTA ASSIGN TO PRINT "PRINTER".

       DATA DIVISION.
        FILE SECTION.
        FD F1 LABEL RECORD STANDARD.
        01 RECLUTA.
           02 RECL PIC X(5).
           02 NOMB PIC X(26).
           02 PESO PIC 9(3).
           02 ALT  PIC 9(3).
        FD LISTA LABEL RECORD OMITTED.
        01 LINEA PIC X(80).
        WORKING-STORAGE SECTION.
        77 ACUM  PIC 9(6) VALUE ZERO.
        77 ACUM1 PIC 9(6) VALUE ZERO.
        77 FF PIC X VALUE SPACE.
        01 TIT.
           02 FILLER PIC X(31) VALUE SPACES.
           02 FILLER PIC X(17) VALUE "LISTADO RECLUTAS".
        01 TIT1.
           02 FILLER PIC X(25) VALUE SPACES.
           02 FILLER PIC X(7)  VALUE "RECLUTA".
           02 FILLER PIC X(4)  VALUE SPACES.
           02 FILLER PIC X(6)  VALUE "NOMBRE".
           02 FILLER PIC X(24) VALUE SPACES.
           02 FILLER PIC X(4)  VALUE "PESO".
           02 FILLER PIC X(4)  VALUE SPACES.
           02 FILLER PIC X(6)  VALUE "ALTURA".
        01 DET.
           02 FILLER PIC X(25) VALUE SPACES.
           02 RECLS  PIC X(5).
           02 FILLER PIC X(4)  VALUE SPACES.
           02 NOMBS  PIC X(26).
           02 FILLER PIC X(4)  VALUE SPACES.
           02 PESOS  PIC 9(3).
           02 FILLER PIC X(4)  VALUE SPACES.
           02 ALTS   PIC 9(3).
        01 TIT2.
           02 FILLER PIC X(22) VALUE SPACES.
           02 FILLER PIC X(10) VALUE "PESO MEDIO".
           02 FILLER PIC X(2)  VALUE SPACES.
           02 P-MEDS PIC 9(3).
           02 FILLER PIC X(4)  VALUE SPACES.
           02 FILLER PIC X(12) VALUE "ALTURA MEDIO".
           02 A-MEDS PIC 9(3).
        77 CONT PIC 9(4) VALUE ZERO.

       PROCEDURE DIVISION.
        INICIO.
           PERFORM P-PROG
           PERFORM PROCESO UNTIL FF = "*"
           PERFORM F-PROG
           STOP RUN.

        P-PROG.
           OPEN INPUT F1 OUTPUT LISTA
           WRITE LINEA FROM TIT BEFORE 3
           WRITE LINEA FROM TIT1
           READ F1 AT END MOVE "*" TO FF.

        PROCESO.
           MOVE RECL TO RECLS
           MOVE NOMB TO NOMBS
           ADD PESO TO ACUM1
           ADD ALT TO ACUM1
           MOVE PESO TO PESOS
           MOVE ALT TO ALTS
           WRITE LINEA FROM DET BEFORE 3
           ADD 1 TO CONT
           READ F1 AT END MOVE "*" TO FF.

        F-PROG.
           DIVIDE CONT INTO ACUM GIVING P-MEDS
           DIVIDE CONT INTO ACUM1 GIVING A-MEDS
           WRITE LINEA FROM TIT2
           CLOSE F1 LISTA.

        FIN.
           EXIT.



