
       IDENTIFICATION DIVISION.
        PROGRAM-ID. ALMACEN.

       ENVIRONMENT DIVISION.
        CONFIGURATION SECTION.
        SOURCE-COMPUTER. IBM-PC.
        OBJECT-COMPUTER. IBM-PC.
        SPECIAL-NAMES.
                      DECIMAL-POINT IS COMMA.
        INPUT-OUTPUT SECTION.
        FILE-CONTROL.
           SELECT F1 ASSIGN TO RANDOM "C:ALMACEN.DAT".
           SELECT LISTA ASSIGN TO PRINT "PRINTER".

       DATA DIVISION.
        FILE SECTION.
        FD F1 LABEL RECORD STANDARD.
        01 ALMACEN.
           02 NART  PIC 9(4).
           02 DESC PIC X(26).
           02 EXIST PIC 9(5).
           02 PC    PIC 9(4)V99.
        FD LISTA LABEL RECORD OMITTED.
        01 LINEA PIC X(80).
        01 TIT.
           02 FILLER PIC X(30).
           02 CAB    PIC X(11).
           02 FILLER PIC XX.
           02 CAB1   PIC X(30).
           02 FILLER PIC X(30).
        01 CAB3.
           02 FILLER PIC X(10).
           02 CAB4   PIC X(4).
           02 FILLER PIC X(9).
           02 CAB5   PIC X(26).
           02 FILLER PIC X(9).
           02 CAB6   PIC X(5).
           02 FILLER PIC X(9).
           02 CAB7   PIC X(7).
           02 FILLER PIC X(10).
        01 DET.
           02 FILLER PIC X(10).
           02 NARTS  PIC 9(4).
           02 FILLER PIC X(9).
           02 DESCS PIC X(26).
           02 FILLER PIC X(9).
           02 EXISTS PIC ZZ.ZZ9.
           02 FILLER PIC X(9).
           02 PCS    PIC ZZZ9.99.
           02 FILLER PIC X(10).
        01 TIT2.
           02 FILLER PIC X(45).
           02 CAB8   PIC X(7).
           02 FILLER PIC XX.
           02 CAB9   PIC X(6).
           02 FILLER PIC X(20).
        WORKING-STORAGE SECTION.
        77 FF PIC X VALUE SPACE.

       PROCEDURE DIVISION.
        INICIO.
           PERFORM P-PROG
           PERFORM PROCESO UNTIL FF = "*"
           PERFORM F-PROG.
           STOP RUN.

        P-PROG.
           OPEN INPUT F1 OUTPUT LISTA
           MOVE SPACES TO LINEA.
           MOVE "EXISTENCIAS" TO CAB
           MOVE "ALMACEN" TO CAB1
           WRITE TIT
           MOVE ALL "*" TO TIT
           WRITE TIT BEFORE 3
           MOVE "NART" TO CAB4
           MOVE "DESCRIPCION" TO CAB5
           MOVE "EXISTENCIAS" TO CAB6
           MOVE "PC" TO CAB7
           WRITE CAB3
           MOVE "*" TO CAB3
           WRITE CAB3 BEFORE 3
           READ F1 AT END MOVE "*" TO FF.

       PROCESO.
           MOVE SPACES TO LINEA
           MOVE NART TO NARTS
           MOVE DESC TO DESCS
           MOVE EXIST TO EXISTS
           MOVE PC TO PCS
           WRITE DET
           MOVE ALL "*" TO NARTS
           MOVE ALL "*" TO DESCS
           MOVE ALL "*" TO EXISTS
           MOVE ALL "*" TO PCS
           WRITE DET BEFORE 3
           READ F1 AT END MOVE "*" TO FF.

       F-PROG.
           MOVE "ALMACEN" TO CAB8
           MOVE "BILBAO" TO CAB9
           WRITE TIT2
           MOVE "*" TO CAB8 CAB9
           WRITE TIT2 BEFORE 3
           CLOSE F1 LISTA.

       FIN.
           EXIT.

