
       IDENTIFICATION DIVISION.
        PROGRAM-ID. EXTRACTO.

       ENVIRONMENT DIVISION.
        CONFIGURATION SECTION.
        SOURCE-COMPUTER. IBM-PC.
        OBJECT-COMPUTER. IBM-PC.
        INPUT-OUTPUT SECTION.
        FILE-CONTROL.
           SELECT CUENTAS ASSIGN TO DISK
                  ORGANIZATION IS LINE SEQUENTIAL.
           SELECT IMPRESORA ASSIGN TO PRINTER.

       DATA DIVISION.
        FILE SECTION.
        FD CUENTAS LABEL RECORD IS STANDARD
                   VALUE OF FILE-ID "CUENTAS.DAT"
                   DATA RECORD IS FICHA.
        01 FICHA.
           05 NUM-CUENTA PIC 9(8).
           05 NOMBRE     PIC X(23).
           05 DIRECCION  PIC X(25).
           05 TLF        PIC 9(7).
           05 SALDO      PIC 9(10).
        FD IMPRESORA LABEL RECORD IS OMITTED.
        01 LINEA PIC X(80).
        WORKING-STORAGE SECTION.
        01 FF PIC XX.
        01 SALIDA.
           05 NUM-CUENTA-S PIC 9(8).
           05 NOMBRE-S     PIC X(23).
           05 SALDO-S      PIC 9(10).

       PROCEDURE DIVISION.
        PRINCIPAL.
           OPEN INPUT CUENTAS OUTPUT IMPRESORA
           MOVE "NO" TO FF
           READ CUENTAS AT END MOVE "SI" TO FF
           PERFORM LEER UNTIL FF = "SI"
           CLOSE CUENTAS IMPRESORA
           STOP RUN.

        LEER.
           MOVE NUM-CUENTA TO NUM-CUENTA-S
           MOVE NOMBRE TO NOMBRE-S
           MOVE SALDO TO SALDO-S
           WRITE LINEA FROM SALIDA AFTER 2
           READ CUENTAS AT END MOVE "SI" TO FF.

