
       IDENTIFICATION DIVISION.
        PROGRAM-ID. SUELDOS.

       ENVIRONMENT DIVISION.
        CONFIGURATION SECTION.
         SPECIAL-NAMES.
                DECIMAL-POINT IS COMMA.
        INPUT-OUTPUT SECTION.
         FILE-CONTROL.
           SELECT DATOS ASSIGN TO DISK
                  ORGANIZATION IS LINE SEQUENTIAL.
           SELECT NOMINA ASSIGN TO PRINTER.

       DATA DIVISION.
        FILE SECTION.
        FD DATOS LABEL RECORD STANDARD 
                 VALUE OF FILE-ID "DATOS.DAT".
        01 REG-ENT.
           05 NOMBRE PIC X(23).
           05 SUELDO PIC 9(6)V99.
           05 ESTADO PIC X.
              88 CASADO  VALUE "C".
        FD NOMINA LABEL RECORD OMITTED.
        01 LINEA PIC X(80).
        WORKING-STORAGE SECTION.
        01 FF PIC X VALUE "N".
        01 GRATI PIC 9(5).
        01 CABECERA.
           05 FILLER PIC X(30) VALUE SPACES.
           05 FILLER PIC X(20) VALUE "NOMINA DE LA EMPRESA".
           05 FILLER PIC X(30) VALUE SPACES.
        01 REG-SALIDA.
           05 FILLER   PIC X(10) VALUE SPACES.
           05 NOMBRE-S PIC X(23).
           05 FILLER   PIC X(5) VALUE SPACES.
           05 SUELDO-S PIC ZZZ.ZZZ.ZZ.
           05 FILLER   PIC X(5) VALUE SPACES.
           05 GRATI-S  PIC Z.ZZZ.
           05 FILLER   PIC X(5) VALUE SPACES.
           05 TOTAL-S  PIC Z(3).Z(3),ZZ.
           05 FILLER   PIC X(16) VALUE SPACES.

       PROCEDURE DIVISION.
        PRINCIPAL.
           OPEN INPUT DATOS OUTPUT NOMINA.
           WRITE LINEA FROM CABECERA AFTER PAGE.
           READ DATOS AT END MOVE "S" TO FF.
           PERFORM CALCULA UNTIL FF = 'S'.
           CLOSE DATOS NOMINA.

        CALCULA.
           IF SUELDO < 70000 MOVE 10000 TO GRATI
              ELSE IF SUELDO < 100000 MOVE 7000 TO GRATI
                  ELSE IF CASADO MOVE 3000 TO GRATI
                      ELSE MOVE ZERO TO GRATI.
           PERFORM ESCRIBIR
           READ DATOS AT END MOVE "S" TO FF.

        ESCRIBIR.
           MOVE NOMBRE TO NOMBRE-S
           MOVE SUELDO TO SUELDO-S
           MOVE GRATI  TO GRATI-S
           ADD SUELDO GRATI GIVING TOTAL-S
           WRITE LINEA FROM REG-SALIDA AFTER 2.

