       IDENTIFICATION DIVISION.
        PROGRAM-ID. VENTAS.

       ENVIRONMENT DIVISION.
        INPUT-OUTPUT SECTION.
        FILE-CONTROL.
                SELECT IMPRESORA ASSIGN TO PRINTER.

       DATA DIVISION.
        FILE SECTION.
         FD  IMPRESORA LABEL RECORD OMITTED.
         01  LINEA     PIC X(80).
        WORKING-STORAGE SECTION.
         01 CONTADOR   PIC 9(3) VALUE ZERO.
         01 CODIGO     PIC 9(3).
         01 UNIDADES   PIC 9(2).
         01 PRECIO-UNI PIC 9(4)V99.
         01 TABLA-VENTAS.
            05 EMPLEADO OCCURS 100 TIMES PIC 9(10)V99.
         01 CABECERA.
            05 FILLER  PIC X(25) VALUE SPACES.
            05 FILLER  PIC X(30) VALUE 'LISTADO DE VENTAS POR EMPLEADO'.
            05 FILLER  PIC X(25) VALUE SPACES.
         01 REG-S.
            05 FILLER      PIC X(10) VALUE SPACES.
            05 CODIGO-S    PIC 9(3).
            05 FILLER      PIC X(10) VALUE SPACES.
            05 CANT-VEN-S  PIC Z,Z(3),Z(3),Z(3).ZZ.
            05 FILLER      PIC X(41) VALUE SPACES.
       
       PROCEDURE DIVISION.
        PRINCIPAL.
                OPEN OUTPUT IMPRESORA
                WRITE LINEA FROM CABECERA AFTER PAGE
                MOVE ZERO TO TABLA-VENTAS
                DISPLAY 'INTRODUZCA CODIGO'
                ACCEPT CODIGO
                PERFORM VENTAS UNTIL CODIGO = 0
                PERFORM ESCRIBIR 100 TIMES
                CLOSE IMPRESORA
                STOP RUN.
        VENTAS.
                DISPLAY 'UNIDADES VENDIDAS'
                ACCEPT UNIDADES
                DISPLAY 'PRECIO UNITARIO'
                ACCEPT PRECIO-UNI
                COMPUTE EMPLEADO (CODIGO) ROUNDED = 
      -                 EMPLEADO (CODIGO) + UNIDADES + PRECIO-UNI
                DISPLAY 'INTRODUZCA CODIGO'
                ACCEPT CODIGO.
        ESCRIBIR.
                ADD 1 TO CONTADOR
                MOVE CONTADOR TO CODIGO-S
                MOVE EMPLEADO (CONTADOR) TO CANT-VEN-S
                WRITE LINEA FROM REG-S AFTER 2.


